Add epoll check to autoconf and Makefile
[lttng-tools.git] / configure.ac
index f30b8329d44f9003431207d59db0fdec6074c7c9..e5f4a6c6cc633869015d10d830dc0cc1e19d1112 100644 (file)
@@ -38,6 +38,19 @@ AC_CHECK_DECL([futex_async], [],
        [AC_MSG_ERROR([liburcu $liburcu_version or newer is needed])], [[#include <urcu/futex.h>]]
 )
 
+AX_HAVE_EPOLL(
+       [AX_CONFIG_FEATURE_ENABLE(epoll)],
+       [AX_CONFIG_FEATURE_DISABLE(epoll)]
+)
+
+AX_CONFIG_FEATURE(
+       [epoll], [This platform supports epoll(7)],
+       [HAVE_EPOLL], [This platform supports epoll(7).],
+       [enable_epoll="yes"], [enable_epoll="no"]
+)
+
+AM_CONDITIONAL([COMPAT_EPOLL], [ test "$enable_epoll" = "yes" ])
+
 AC_PROG_CC
 AC_PROG_LIBTOOL
 
This page took 0.031839 seconds and 4 git commands to generate.